import os

TOKEN = os.getenv("TOKEN")
BOORU_API_URL = os.getenv("BOORU_API_URL")
INLINE_QUERY_CACHE_SECONDS = 30

STICKER_SHITHOLE = -1002471390283

DANBOORU_USERNAME = "owlrandomshitbot"
DANBOORU_API_KEY = os.getenv("DANBOORU_API_KEY")

IMAGE_GENERATOR_TOKEN: str = os.getenv("IMAGE_GENERATOR_TOKEN")
IMAGE_GENERATOR_API_HOST: str = os.getenv("IMAGE_GENERATOR_API_HOST")
CDN_URL: str = os.getenv("CDN_URL")

try:
    PROMPTING_USERS: list | None = os.getenv("PROMPTING_USERS").split(" ")
except AttributeError:
    PROMPTING_USERS = None

